KDockWidgetHeader Class Reference

`#include <kdockwidget.h>`

Inheritance diagram for KDockWidgetHeader:

## Public Member Functions

| KDockWidgetHeader (KDockWidget *parent, const char *name=0L)
virtual | ~KDockWidgetHeader ()
virtual void | setTopLevel (bool t)
void | setDragPanel (KDockWidgetHeaderDrag *nd)
KDockWidgetHeaderDrag * | dragPanel ()
bool | dragEnabled () const
void | setDragEnabled (bool b)
void | showUndockButton (bool show)
void | forceCloseButtonHidden (bool enable=true)
virtual void | saveConfig (KConfig *c)
virtual void | loadConfig (KConfig *c)
void | addButton (KDockButton_Private *)
void | removeButton (KDockButton_Private *)
Public Member Functions inherited from KDockWidgetAbstractHeader
| KDockWidgetAbstractHeader (KDockWidget *parent, const char *name=0L)
virtual | ~KDockWidgetAbstractHeader ()

## Protected Slots

void | slotStayClicked ()

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Protected Attributes

QHBoxLayout * | layout
KDockButton_Private * | closeButton
KDockButton_Private * | stayButton
KDockButton_Private * | dockbackButton
KDockWidgetHeaderDrag * | drag

## Detailed Description

The header (additional bar) for a KDockWidget s (and member of the dockwidget class set).

It have got the buttons located there. And it is for recording and reading the button states. More or less a minor helper class for the dockwidget class set.

Author
  Max Judin (documentation: Falk Brettschneider).

Definition at line 238 of file kdockwidget.h.

## Constructor & Destructor Documentation

KDockWidgetHeader::KDockWidgetHeader | ( | KDockWidget * | parent,
|  | const char * | name = `0L`
| ) |  |

Constructs this.

Parameters

  parent | the parent widget (usually a dockwidget)
  name | the object instance name

Definition at line 216 of file kdockwidget.cpp.

virtual KDockWidgetHeader::~KDockWidgetHeader | ( |  | ) |

inline virtual

Destructs this.

Definition at line 254 of file kdockwidget.h.

## Member Function Documentation

KDockWidgetHeaderDrag * KDockWidgetHeader::dragPanel | ( |  | ) |

Get the drag panel of this header.

Since
  3.4

Definition at line 312 of file kdockwidget.cpp.

void KDockWidgetHeader::forceCloseButtonHidden | ( | bool | enable = `true` | ) |

Since
  3.2

Definition at line 306 of file kdockwidget.cpp.

void KDockWidgetHeader::loadConfig | ( | KConfig * | c | ) |

virtual

Loads the current button state from a KDE config container object.

Parameters

  c | the configuration safe

Reimplemented from KDockWidgetAbstractHeader.

Definition at line 428 of file kdockwidget.cpp.

void KDockWidgetHeader::saveConfig | ( | KConfig * | c | ) |

virtual

Saves the current button state to a KDE config container object.

Parameters

  c | the configuration safe

Reimplemented from KDockWidgetAbstractHeader.

Definition at line 423 of file kdockwidget.cpp.

void KDockWidgetHeader::setDragPanel | ( | KDockWidgetHeaderDrag * | nd | ) |

Sets the drag panel of this header.

Parameters

  nd | A pointer to the new drag panel

Definition at line 316 of file kdockwidget.cpp.

void KDockWidgetHeader::setTopLevel | ( | bool | t | ) |

virtual

Hides the close button and stay button when switching to toplevel or vice versa shows them.

Parameters

  t | toplevel or not

Reimplemented from KDockWidgetAbstractHeader.

Definition at line 272 of file kdockwidget.cpp.

void KDockWidgetHeader::showUndockButton | ( | bool | show | ) |

Since
  3.1

Definition at line 402 of file kdockwidget.cpp.

void KDockWidgetHeader::slotStayClicked | ( |  | ) |

protected slot

Sets dragging the dockwidget off when the stay button is pressed down and vice versa.

Definition at line 392 of file kdockwidget.cpp.

## Member Data Documentation

KDockButton_Private* KDockWidgetHeader::closeButton

protected

a little button for closing (undocking and hiding) the dockwidget

Definition at line 332 of file kdockwidget.h.

KDockButton_Private* KDockWidgetHeader::dockbackButton

protected

a little button for dock back the dockwidget to it's previous dockwidget

Definition at line 342 of file kdockwidget.h.

KDockWidgetHeaderDrag* KDockWidgetHeader::drag

protected

the drag panel (double line)

Definition at line 347 of file kdockwidget.h.

QHBoxLayout* KDockWidgetHeader::layout

protected

A layout manager for placing the embedded buttons (close and stay)

Definition at line 327 of file kdockwidget.h.

KDockButton_Private* KDockWidgetHeader::stayButton

protected

a little button for enabling/disabling dragging the dockwidget with the mouse

Definition at line 337 of file kdockwidget.h.

The documentation for this class was generated from the following files:

- kdockwidget.h
- kdockwidget.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys